Runtime

## org.eclipse.gmf.runtime.gef.ui.palette.customize
Class PaletteViewerEx

    java.lang.Object
      org.eclipse.gef.ui.parts.AbstractEditPartViewer
          org.eclipse.gef.ui.parts.GraphicalViewerImpl
              org.eclipse.gef.ui.parts.ScrollingGraphicalViewer
                  org.eclipse.gef.ui.palette.PaletteViewer
                      org.eclipse.gmf.runtime.gef.ui.palette.customize.PaletteViewerEx

All Implemented Interfaces:
  EditPartViewer, GraphicalViewer, ISelectionProvider

    public class PaletteViewerEx

extends PaletteViewer

GMF's version of the `PaletteViewer` extended to:

- override the `PaletteCustomizerDialog`

Since:
  2.1

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gef.EditPartViewer
`EditPartViewer.Conditional`

Field Summary

Fields inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer
`constantSelection, focusPart, selection, selectionListeners`

Constructor Summary
`PaletteViewerEx()`

Method Summary
`PaletteCustomizerDialog` `getCustomizerDialog()`

Methods inherited from class org.eclipse.gef.ui.palette.PaletteViewer
`addPaletteListener, createDefaultRoot, enableVerticalScrollbar, fireModeChanged, getActiveTool, getCustomizer, getPaletteRoot, getPaletteViewerPreferences, handleDispose, handleFocusGained, hookControl, isExpanded, isPinned, removePaletteListener, restoreState, reveal, saveState, setActiveTool, setCustomizer, setPaletteRoot, setPaletteViewerPreferences, unhookControl`

Methods inherited from class org.eclipse.gef.ui.parts.ScrollingGraphicalViewer
`createControl, getFigureCanvas, setRootFigure`

Methods inherited from class org.eclipse.gef.ui.parts.GraphicalViewerImpl
`createLightweightSystem, findHandleAt, findObjectAtExcluding, flush, getEventDispatcher, getLayerManager, getLightweightSystem, getRootFigure, handleFocusLost, hookDropTarget, registerAccessibleEditPart, setContextMenu, setCursor, setDragSource, setEditDomain, setRootEditPart, setRouteEventsToEditDomain, unregisterAccessibleEditPart`

Methods inherited from class org.eclipse.gef.ui.parts.AbstractEditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, addSelectionChangedListener, appendSelection, deselect, deselectAll, findObjectAt, findObjectAtExcluding, fireSelectionChanged, getContents, getContextMenu, getControl, getDelegatingDragAdapter, getDelegatingDropAdapter, getDragSource, getDropTarget, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, hookDragSource, init, primGetSelectedEditParts, refreshDragSourceAdapter, refreshDropTargetAdapter, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, removeSelectionChangedListener, select, setContents, setContents, setControl, setDropTarget, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelection, setSelectionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPartViewer

`addDragSourceListener, addDragSourceListener, addDropTargetListener, addDropTargetListener, addPropertyChangeListener, appendSelection, deselect, deselectAll, findObjectAt, findObjectAtExcluding, getContents, getContextMenu, getControl, getEditDomain, getEditPartFactory, getEditPartRegistry, getFocusEditPart, getKeyHandler, getProperty, getResourceManager, getRootEditPart, getSelectedEditParts, getSelection, getSelectionManager, getVisualPartMap, removeDragSourceListener, removeDragSourceListener, removeDropTargetListener, removeDropTargetListener, removePropertyChangeListener, select, setContents, setContents, setControl, setEditPartFactory, setFocus, setKeyHandler, setProperty, setSelectionManager`

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

Constructor Detail

### PaletteViewerEx

    public PaletteViewerEx()

Method Detail

### getCustomizerDialog

    public PaletteCustomizerDialog getCustomizerDialog()

  Overrides:
    `getCustomizerDialog` in class `PaletteViewer`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.